Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 138191 - Last releases do not work with most recent trunk sources
Last releases do not work with most recent trunk sources
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jesse Glick
issues@apisupport
61fixes3-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 09:07 UTC by Jaroslav Tulach
Modified: 2008-09-04 13:25 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (83.53 KB, patch)
2008-06-27 00:12 UTC, Jesse Glick
Details | Diff
NBM created from release61 + patch (977.79 KB, application/octet-stream)
2008-06-27 21:05 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-06-25 09:07:11 UTC
After the changes made as part of the 
http://wiki.netbeans.org/FitnessTestsWithoutX
the structure of the sources has been modified, so the old apisupports (6.1 and 6.5M1) do not work on recent sources. 
I believe this is unfortunate and we shall backport the necessary parts of the apisupport.project to current latest 
releases.
Comment 1 Jesse Glick 2008-06-26 03:08:53 UTC
Well, to 6.1 anyway. (Patch 2? Or is it Patch 3 now? http://wiki.netbeans.org/NetBeans6.1PatchesInfo is unclear.)

The current patch can be gotten from:

hg diff -r 49bddf05fdce -r 4bfd63bd235a apisupport.project/src

after undoing a few bogus lines from a bad merge of Evaluator.java. This seems to correspond to these changesets:

c5866b743b42
5383786c106c
5846e6f0f3fa
ac10e8121c11
2fd8f7dc57f5
9ec1881e57f5
8b07bae54bc5
b91bb5a5841c
5031d4cbefd7
8cee208f2bcc
363f018a0c8c
f9ab4aff65e6
6afa197c5766

TBD whether there are other changes which should be made in trunk and also backported. Probably need to let people use
trunk builds for a few days and see what comes up.
Comment 2 Lukas Hasik 2008-06-26 08:35:08 UTC
patch 2 is on the way to users. It can be fixed in patch 3. TM=6.1 has no sense when the release is out
Comment 3 Jesse Glick 2008-06-27 00:12:24 UTC
Created attachment 63563 [details]
Proposed patch
Comment 4 Jesse Glick 2008-06-27 00:15:52 UTC
Well then I guess it's FIXED for 6.5 M2, but still a candidate for 6.1_whatever.

I have attached a patch which applies cleanly against release61. (Did not check against release61_fixes since this is
not currently a strict superset of release61.) It seems to work well after light testing, against modules in both the
release61 and main source trees. I did not attempt to verify compatibility with external modules, though I do not know
of any problems.
Comment 5 Lukas Hasik 2008-06-27 09:02:03 UTC
Tomasi, could you verify the patch with 6.1?
Comment 6 Tomas Danek 2008-06-27 10:22:57 UTC
Jesse, could you please attach JAR with applied patch for 6.1? It will make verification for me easier... (i do not have
clone of 6.1) Thanks in advance.
Comment 7 Jesse Glick 2008-06-27 21:05:42 UTC
Created attachment 63622 [details]
NBM created from release61 + patch
Comment 8 Tomas Danek 2008-06-30 16:07:02 UTC
Thanks. JAR worked ok for me ok together with 6.1 and 6.1patch2 bits.
tried following areas (based on changes in diff):

- test execution for some modules
- test compile single
- separate execution of single test class
- debugging qa-func test
- adding/editing/removing deps via qa-func.libraries test node

Jesse, can you integrate fix it into 6.5 M1? (The sooner, the better...)
Comment 9 Lukas Hasik 2008-07-01 08:51:17 UTC
I'm reopening this one to get it fixed into 6.5 M1. 
Jesse, please push the fix into the release65_m1 clone and close as fixed again. The issue has been tested in trunk
therefore we do not expect any problems. 
Thank you.
Comment 10 Jesse Glick 2008-07-01 19:48:57 UTC
OK, pushed fix:

http://hg.netbeans.org/release65_m1/rev/b0ed03eede9b
Comment 11 Tomas Danek 2008-07-03 12:00:13 UTC
tried the same scenarios as before, everything works -> verified in recent m1 build.
Comment 13 Jesse Glick 2008-08-07 21:34:37 UTC
OK. I assume you forgot to add TestDataDirsNodeFactory.java before committing and so accidentally had to create a second
changeset? Do you not know about 'hg import', which not only would do all this for you automatically but also correctly
processes binary files and renames (if fed a patch in the recommended --git diff style)?
Comment 14 Lukas Hasik 2008-08-21 09:43:41 UTC
verified in patch3 (2008-08-12_03-59-31)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo